<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class CancelCronAction extends AuthorAction
{
    public function run()
    {
        $bookId = S::gp('bid', 'G', 2);
        $chapterId = S::gp('cid', 'G', 2);
        $book = $this->isBookOwner($bookId);

        $this->db()->delete(DraftCron::table())->where(array('cid'=>$chapterId))->q();
        $this->showMessage('定时发布取消成功');
    }
}
